> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete access IP address



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/ip-addresses.yml delete /access_ip_address/{access_ip_address_id}
openapi: 3.1.0
info:
  title: Telnyx IP Addresses API
  version: 2.0.0
  description: API for IP addresses.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /access_ip_address/{access_ip_address_id}:
    delete:
      tags:
        - IP Addresses
      summary: Delete access IP address
      operationId: DeleteAccessIpAddress
      parameters:
        - required: true
          schema:
            type: string
          name: access_ip_address_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessIPAddressResponseSchema'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cloudflare-ip-list-sync_Errors'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const accessIPAddressResponse = await
            client.accessIPAddress.delete('access_ip_address_id');


            console.log(accessIPAddressResponse.id);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            access_ip_address_response = client.access_ip_address.delete(
                "access_ip_address_id",
            )
            print(access_ip_address_response.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccessIPAddressResponse, err := client.AccessIPAddress.Delete(context.TODO(), \"access_ip_address_id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", accessIPAddressResponse.ID)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.accessipaddress.AccessIpAddressDeleteParams;

            import
            com.telnyx.sdk.models.accessipaddress.AccessIpAddressResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AccessIpAddressResponse accessIpAddressResponse = client.accessIpAddress().delete("access_ip_address_id");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            access_ip_address_response =
            telnyx.access_ip_address.delete("access_ip_address_id")


            puts(access_ip_address_response)
        - lang: CLI
          source: |-
            telnyx access-ip-address delete \
              --api-key 'My API Key' \
              --access-ip-address-id access_ip_address_id
components:
  schemas:
    AccessIPAddressResponseSchema:
      title: AccessIPAddressResponseSchema
      required:
        - id
        - ip_address
        - source
        - status
        - user_id
      type: object
      properties:
        id:
          title: Id
          type: string
        ip_address:
          title: Ip Address
          type: string
        source:
          title: Source
          type: string
        status:
          $ref: '#/components/schemas/CloudflareSyncStatus'
        description:
          title: Description
          type: string
        user_id:
          title: User Id
          type: string
        created_at:
          title: Created At
          type: string
          format: date-time
        updated_at:
          title: Updated At
          type: string
          format: date-time
    cloudflare-ip-list-sync_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/cloudflare-ip-list-sync_Error'
      type: object
    CloudflareSyncStatus:
      title: CloudflareSyncStatus
      enum:
        - pending
        - added
      type: string
      description: An enumeration.
    cloudflare-ip-list-sync_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````